Index: CMakeLists.txt
===================================================================
--- CMakeLists.txt	(revision 2891)
+++ CMakeLists.txt	(working copy)
@@ -70,22 +70,30 @@
 		set(OUT_OF_SOURCE 1)
 	endif()
 	
+    # link dependent libraries
     if ( NOT EXPAT_LIBRARY  )
-		# link dependent libraries
     	if (OUT_OF_SOURCE)
     		set(EXPAT_LIBRARY      ../../../${E}/$(ConfigurationName)/expat)
-    		set(ZLIB_LIBRARY       ../../../${Z}/$(ConfigurationName)/zlib )
-    		set(EXPAT_INCLUDE_DIR  ../${E}/lib )
-    		set(ZLIB_INCLUDE_DIR   ../${Z}     )
+    		set(EXPAT_INCLUDE_DIR  ../${E}/lib)
 		else()
     		set(EXPAT_LIBRARY      ../../${E}/$(ConfigurationName)/expat)
-    		set(ZLIB_LIBRARY       ../../${Z}/$(ConfigurationName)/zlib)
-    		set(EXPAT_INCLUDE_DIR  ../${E}/lib )
-    		set(ZLIB_INCLUDE_DIR   ../${Z}     )
+    		set(EXPAT_INCLUDE_DIR  ../${E}/lib)
     	endif()
-    	include_directories( ${EXPAT_INCLUDE_DIR} ${ZLIB_INCLUDE_DIR} msvc64\\include src\\include)
+    	include_directories( ${EXPAT_INCLUDE_DIR} msvc64\\include src\\include)
 	endif()
 	
+	FIND_PACKAGE(ZLIB QUIET)
+    if ( NOT ZLIB_FOUND )
+        if (OUT_OF_SOURCE)
+            set(ZLIB_LIBRARY       ../../../${Z}/$(ConfigurationName)/zlib )
+            set(ZLIB_INCLUDE_DIR   ../${Z})
+        else()
+            set(ZLIB_LIBRARY       ../../${Z}/$(ConfigurationName)/zlib)
+            set(ZLIB_INCLUDE_DIR   ../${Z})
+        endif()
+    endif()
+    include_directories(${ZLIB_INCLUDE_DIR})
+	
 	if ( EXIV2_ENABLE_SHARED )
 	    add_library(${E} SHARED IMPORTED)
 	    add_library(${Z} SHARED IMPORTED)
